Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDECGvalues

java.lang.Object
java.lang.Enum<CDECGvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDECGvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDECGvalues>`, `java.lang.constant.Constable`

public enum CDECGvalues extends Enum<CDECGvalues>

Java class for CD-ECGvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ECGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="VR"/>
         <enumeration value="AR"/>
         <enumeration value="PR"/>
         <enumeration value="QRS"/>
         <enumeration value="QT"/>
         <enumeration value="QTc"/>
         <enumeration value="P"/>
         <enumeration value="R"/>
         <enumeration value="T"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AR`
  `P`
  `PR`
  `Q_TC`
  `QRS`
  `QT`
  `R`
  `T`
  `VR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDECGvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDECGvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDECGvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VR

    public static final CDECGvalues VR

  - ### AR

    public static final CDECGvalues AR

  - ### PR

    public static final CDECGvalues PR

  - ### QRS

    public static final CDECGvalues QRS

  - ### QT

    public static final CDECGvalues QT

  - ### Q_TC

    public static final CDECGvalues Q_TC

  - ### P

    public static final CDECGvalues P

  - ### R

    public static final CDECGvalues R

  - ### T

    public static final CDECGvalues T

- ## Method Details

  - ### values

    public static CDECGvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDECGvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDECGvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.